{ pkgs ? import <nixpkgs> { } }:

pkgs.callPackage ../../coreboot.nix {
  # last known good
  rev = "d8bc5c127ad13ed0475bbf7465f6ba56a5fa34ee";
  sources = pkgs.callPackage ../charlie/sources.nix { };

  conf = {
    # display
    bootsplash = true;
    generic-linear-framebuffer = true;
    linear-framebuffer = {
      max-width  = 1366;
      max-height = 768;
    };

    # custom bootsplash
    bootsplash-image = true;
    bootsplash-file  = ../charlie/bootsplash.jpg;

    # payload
    seabios = {
      revision    = true;
      revision_id = "ef88eeaf052c8a7d28c5f85e790c5e45bcffa45e";
    };

  };

}
